Get Diagnostics Details
Get the full details of diagnostics run of a service mesh.
Get the list of diagnostics run of a service mesh.
Request
URI
GET
https://{server}/hybridity/api/interconnect/serviceMesh/{serviceMeshId}/diagnostics/{serviceMeshDiagId}
COPY
Path Parameters
string
serviceMeshId
Required
Service Mesh ID
string
serviceMeshDiagId
Required
Service Mesh diagnostics run ID
Authentication
This operation uses the following authentication methods.
Responses
200
OK
Returns
serviceMeshDiagResponse
of type(s)
application/json
{
"data": {
"diagId": "string",
"serviceMeshId": "string",
"applianceIds": [
"string"
],
"startTime": 0,
"endTime": 0,
"status": "string",
"message": "string",
"triggeredBy": "string",
"reason": "string",
"details": {}
},
"warnings": [
{
"message": "string"
}
],
"errors": [
{
"code": "string",
"message": "string"
}
]
}
object
data
Optional
data
array of
object
warnings
Optional
warnings
array of
object
errors
Optional
errors
401
Unauthorized
Operation doesn't return any data structure
403
Forbidden
Operation doesn't return any data structure
404
Not Found
Returns
errorResponse
of type(s)
application/json
{
"errors": [
{
"code": "string",
"message": "string"
}
]
}
array of
object
errors
Optional
errors
422
Unprocessable Entity
Returns
errorResponse
of type(s)
application/json
{
"errors": [
{
"code": "string",
"message": "string"
}
]
}
array of
object
errors
Optional
errors
500
Internal Server Error
Returns
errorResponse
of type(s)
application/json
"errorResponse Object"
array of
object
errors
Optional
errors
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/hybridity/api/interconnect/serviceMesh/{serviceMeshId}/diagnostics/{serviceMeshDiagId}
Service Mesh Operations
POST
Get Service Mesh List For Migrations
POST
Get Compute Profile Ids For Migration Parameters
GET
Get All Service Mesh
POST
Create Service Mesh
POST
Resync Service Mesh
POST
Generate Diff Service Mesh
POST
Get All Service Mesh By Filter
GET
Get Service Mesh
PUT
Modify Service Mesh
DELETE
Delete Service Mesh
POST
Preview Service Mesh
POST
Diagnose Service Mesh
POST
Get Diagnostics Summary
GET
Get Diagnostics Details